#include <iostream>
using namespace std;
int main()
{
	int n=5, m=5, i, j, sum=0;
	cin >> n >> m;
	for ( i = 1; i < n-1; i++)
	{
		for ( j = 1; j < m-1; j++)
		{
			if (i % 2 == 0)
			{
				if (j % 2 == 0)
					sum++;
			}
			else
				if (j % 2 == 1)
					sum++;
		}
	}
	cout << (n*m)-sum;
}